use strict;
use warnings;

=pod

Test that callbacks have no backwards incompatible effect. 

=cut


use Test::More;
use Data::Dump;
use lib "../../lib";

use DBI;
use DBIx::HoldMyPlace;


use lib  "../lib";
our $dbh;
do  "DBConnect.pl";




$dbh->do("DROP TABLE IF EXISTS test_table;"); 

$dbh->do("CREATE TABLE test_table (f1,f2,f3);");

#--- populate test data
my $sth = $dbh->prepare("INSERT INTO test_table VALUES (?,?,?);");

for my $i (1,4,7) {
  $sth->execute($i..$i+2);
}



my $table_a = $dbh->selectall_arrayref("SELECT * FROM test_table");

is_deeply ($table_a, [[1, 2, 3], [4, 5, 6], [7, 8, 9]], "Normal SQL works");

done_testing();
